
QGIS Application - Bug report #14095

Processing: OTB ColorMapping (optimal) rfails

2016-01-13 01:14 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22102

Description

Avvio dell'algoritmo ColorMapping (optimal)...

/usr/bin/otbcli_ColorMapping

-in

"/home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/land.tif" 

-ram

128

-op

labeltocolor

-method

optimal

-method.optimal.background

0

-out

"/tmp/processingc2837c0278434037b12116e257355d84/a53e514a917042d5994702386583a15c/out.tif" 

/bin/sh: 1: Syntax error: Unterminated quoted string 

Converting outputs

Caricamento layer

The following layers were not correctly generated.

Output Image

You can check the log messages to find more information about the execution of the

algorithm===================================================================

2016-01-13T10:08:00    0    Comando di esecuzione OTB

            /usr/bin/otbcli_ColorMapping

            -in

            "/home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/land.tif" 

            -ram

            128

            -op

            labeltocolor

            -method

            optimal

            -method.optimal.background

            0

            -out

            "/tmp/processingc2837c0278434037b12116e257355d84/a53e514a917042d5994702386583a15c/out.tif" 

2016-01-13T10:08:00    0    Risultato della console di esecuzione di OTB

            /bin/sh: 1: Syntax error: Unterminated quoted string
2016-01-13T10:08:00    2    Error loading result layer:

            Traceback (most recent call last):

              File "/home/paolo/.qgis2/python/plugins/processing/gui/Postprocessing.py", line 76, in handleAlgorithmResults

                out.name))

              File "/home/paolo/.qgis2/python/plugins/processing/tools/dataobjects.py", line 194, in load

                + '\

Check the procesing framework log to look for errors')

            RuntimeError: Could not load layer:

/tmp/processingc2837c0278434037b12116e257355d84/a53e514a917042d5994702386583a15c/out.tif

            Check the procesing framework log to look for errors

History

#1 - 2016-02-05 05:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

what Processing and OTB versions?

#2 - 2016-02-05 06:24 AM - Paolo Cavallini

Processing Master at time of writing.

OTB 5.2.0

#3 - 2016-02-09 02:47 AM - Giovanni Manghi

- Operating System set to Linux

- Status changed from Feedback to Open

It seems anyway something that affects only Linux, as is ok on Windows.

#4 - 2016-04-09 09:09 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #14557 (that described better the source of the issue).

#5 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#6 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.
#8 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
